Class: Aws::Lambda::Types::InvokeWithResponseStreamResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#event_streamTypes::InvokeWithResponseStreamResponseEvent

The stream of response payloads.



5711
5712
5713
5714
5715
5716
5717
5718
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 5711

class InvokeWithResponseStreamResponse < Struct.new(
  :status_code,
  :executed_version,
  :event_stream,
  :response_stream_content_type)
  SENSITIVE = []
  include Aws::Structure
end

#executed_versionString

The version of the function that executed. When you invoke a function with an alias, this indicates which version the alias resolved to.

Returns:

  • (String)


5711
5712
5713
5714
5715
5716
5717
5718
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 5711

class InvokeWithResponseStreamResponse < Struct.new(
  :status_code,
  :executed_version,
  :event_stream,
  :response_stream_content_type)
  SENSITIVE = []
  include Aws::Structure
end

#response_stream_content_typeString

The type of data the stream is returning.

Returns:

  • (String)


5711
5712
5713
5714
5715
5716
5717
5718
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 5711

class InvokeWithResponseStreamResponse < Struct.new(
  :status_code,
  :executed_version,
  :event_stream,
  :response_stream_content_type)
  SENSITIVE = []
  include Aws::Structure
end

#status_codeInteger

For a successful request, the HTTP status code is in the 200 range. For the RequestResponse invocation type, this status code is 200. For the DryRun invocation type, this status code is 204.

Returns:

  • (Integer)


5711
5712
5713
5714
5715
5716
5717
5718
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 5711

class InvokeWithResponseStreamResponse < Struct.new(
  :status_code,
  :executed_version,
  :event_stream,
  :response_stream_content_type)
  SENSITIVE = []
  include Aws::Structure
end